#ifndef ACCOUNTPANEL_H
#define ACCOUNTPANEL_H

#include <wx/wx.h>
#include <wx/grid.h>
#include <wx/treectrl.h>
#include <wx/pie/pieplot.h>
#include <wx/chartpanel.h>

#include <controller/KissCount.h>
#include "wxUI.h"
#include <model/model.h>
#include "GridAccount.h"

class wxUI;
class KissCount;

class AccountPanel: public wxPanel
{
public:
  AccountPanel(KissCount* kiss, wxUI *parent);
  void ChangeUser();
  void LoadYear(int year);
  void ShowMonth(int year, int month);

private:
  KissCount* _kiss;
  wxUI* _wxUI;
  wxTreeCtrl _tree;
  GridAccount _grid;
  PiePlot* _pie;
};

#endif
